#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <sys/types.h>
#include <dirent.h>
#include "cardparser.h"


typedef struct
{
	int month, day, year;
} vcard_date;

typedef struct
{
	char *first, *last, *middle;
} vcard_name;

typedef struct
{
	char *home, *work, *mobile;
} vcard_phone;

typedef struct
{
	char *street, *city, *state, *zip, *country;
} vcard_address;

typedef struct
{
	char **addresses;
	int count;
} vcard_emails;

typedef struct
{
	vcard_name *name;
	char *organization;
	char *title;
	char *note;
	vcard_phone *phone;
	
	vcard_emails *emails;
	vcard_date *birthday;
	char *url;
	char *home_label, *work_label;
	vcard_address *home_address, *work_address;
} vcard;

typedef struct
{
	vcard *cards;
	int count;
} vcards_list;


void parse_dir(const char *dirname, vcards_list **vcl);
void free_vcards_list(vcards_list *list);